{% extends "base.html" %}

{% block title %}Home - Upload Assignments{% endblock %}

{% block extra_styles %}
<style>
    
   
</style>
{% endblock %}

{% block content %}
   
    <form action="/" method="post" enctype="multipart/form-data">
        <div class="upload-area" id="uploadArea">
            <p id="uploadText">Drag & Drop your ZIP file here or click to select</p>
            <input type="file" name="zip_file" id="fileInput" accept=".zip" required>
        </div>
        <div class="button-container">
        <button type="submit" class="submit-button">Upload</button>
        </div>
    </form>

    <script>
        const uploadArea = document.getElementById('uploadArea');
        const fileInput = document.getElementById('fileInput');
        const uploadText = document.getElementById('uploadText');

        uploadArea.addEventListener('click', () => {
            fileInput.click();
        });

        fileInput.addEventListener('change', () => {
            if (fileInput.files.length > 0) {
                uploadText.textContent = fileInput.files[0].name;
            } else {
                uploadText.textContent = 'Drag & Drop your ZIP file here or click to select';
            }
        });

        uploadArea.addEventListener('dragover', (e) => {
            e.preventDefault();
            uploadArea.classList.add('hover');
        });

        uploadArea.addEventListener('dragleave', () => {
            uploadArea.classList.remove('hover');
        });

        uploadArea.addEventListener('drop', (e) => {
            e.preventDefault();
            uploadArea.classList.remove('hover');
            const files = e.dataTransfer.files;
            if (files.length > 0) {
                if (files[0].name.endsWith('.zip')) {
                    const dataTransfer = new DataTransfer();
                    dataTransfer.items.add(files[0]);
                    fileInput.files = dataTransfer.files;
                    uploadText.textContent = files[0].name;
                } else {
                    alert('Please upload a ZIP file.');
                }
            }
        });
    </script>
{% endblock %}
